<?php

class ControllerSmartbillHelp extends Controller {
	public function index() {   // Default function 
        $this->_labels();
        $this->_breadcrumbs();
	    $this->document->setTitle($this->language->get('heading_title')); // Set the title of the page to the heading title in the Language file i.e., Smart Bill

	    $this->load->model('design/layout'); // Loading the Design Layout Models	 
	    $this->data['layouts'] = $this->model_design_layout->getLayouts(); // Getting all the Layouts available on system	 
	    $this->template = 'smartbill/help.tpl'; // Loading the smartbill.tpl template
	    $this->children = array(
	        'common/header',
	        'common/footer'
	    );  // Adding children to our default template i.e., smartbill.tpl 
	 
	    $this->response->setOutput($this->render()); // Rendering the Output		
	}

	private function _labels() {
	    $this->language->load('module/smartbill'); // Loading the language file of smartbill 	 
	    $this->data['heading_title'] = $this->language->get('heading_title');	 
	}

	private function _breadcrumbs() {
	    $this->data['breadcrumbs'] = array(
            array(
                'text'      => $this->language->get('text_home'),
                'href'      => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),
                'separator' => false
            ),
            array(
                'text'      => $this->language->get('text_module'),
                'href'      => $this->url->link('module/smartbill', 'token=' . $this->session->data['token'], 'SSL'),
                'separator' => ' :: '
            ),
            array(
                'text'      => $this->language->get('heading_title'),
                'href'      => $this->url->link('smartbill/help', 'token=' . $this->session->data['token'], 'SSL'),
                'separator' => ' :: '
            ),
        );
	}    
}